## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           plutovg
Version:        1.1.0
Release:        %autorelease
Summary:        Tiny 2D vector graphics library in C
License:        MIT AND FTL
URL:            https://github.com/sammycage/plutovg

Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         %{name}-samples.patch
Patch1:         %{name}-system-stb.patch

BuildRequires:  meson >= 0.59.0
BuildRequires:  gcc
BuildRequires:  stb_image-devel
BuildRequires:  stb_image_write-devel
BuildRequires:  stb_truetype-devel

%description
PlutoVG is a standalone 2D vector graphics library in C.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        samples
Summary:        Sample programs for %{name}

%description    samples
Sample programs that use %{name}.

%prep
%autosetup -p1
# Remove bundled stb:
rm -fv source/%{name}-stb-*.h

%build
%meson \
  -D examples=enabled \
  -D tests=enabled
%meson_build

%install
%meson_install

%check
%meson_test
# At the moment there are no meson tests defined and the above command is a no-op,
# so run the sample program as a test:
%{_vpath_builddir}/examples/smiley

%files
%license LICENSE source/FTL.TXT
%doc README.md
%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.%{version}

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files samples
%{_bindir}/smiley

%changelog
## START: Generated by rpmautospec
* Sun May 25 2025 Simone Caronni <negativo17@gmail.com> - 1.1.0-1
- Update to 1.1.0

* Sat Mar 22 2025 Simone Caronni <negativo17@gmail.com> - 1.0.0-1
- First build
## END: Generated by rpmautospec
